Subject: new XFree86 2.1 binaries
To: None <>
From: Michael L. VanLoon -- Iowa State University <>
List: current-users
Date: 03/18/1994 17:53:44
The new XFree86-2.1 binaries placed on, and then copied
to (then, et. el. :) have two problems
for me so far.  First is that they are expecting a,
which I've never seen.  Like someone else, I just symlinked it to (why aren't these libs 2.1?).

However, I also can't get the Mach8 server to run on my ATI
8514/Ultra.  The 2.0 shared binaries posted late last year worked
perfectly with this card.  I know it's not my card or my kernel
because I just got done running XFree86-2.0 on this kernel and card
(the kernel is from sources from about a week and a half ago).

The message I get is:

XFree86 Version 2.1 / X Window System
(protocol Version 11, revision 0, vendor release 5000)
Operating System: NetBSD
Configured drivers:
  Mach8: accelerated server for ATI Mach-8 graphics adaptors
(Patchlevel 0)

Fatal server error:
xf86OpenConsole: CONSOLE_X_MODE_OFF failed (Inappropriate ioctl for device)
Was expecting pccons driver with X support
Check your kernel's console driver configuration and /dev entries

Anyone talented enough with the X/console driver stuff to shed any
light on why this might be happening?  As I posted in a previous
message, I haven't been able to build a new kernel for a few days now.
Thanks for any and all help.


 Michael L. VanLoon                 Iowa State University Computation Center                    Project Vincent Systems Staff
  Free your mind and your machine -- NetBSD free Un*x for PC/Mac/Amiga/etc.